package org.processmining.datapetrinets.ui.create;

import java.util.Collection;

import org.processmining.models.graphbased.directed.petrinet.elements.Transition;
import org.processmining.models.graphbased.directed.petrinetwithdata.newImpl.DataElement;

class OperationsAndGuards
{
	public OperationsAndGuards(Transition transition, Collection<DataElement> readVariables,
			Collection<DataElement> writtenVariables, String guard) {
		this.transition = transition;
		this.readVariables = readVariables;
		this.writeVariables = writtenVariables;
		this.guard = guard;
	}
	
	private final Transition transition;
	private final Collection<DataElement> readVariables;
	private final Collection<DataElement> writeVariables;
	private final String guard;
	
	public Transition getTransition() {
		return transition;
	}
	public Collection<DataElement> getReadVariables() {
		return readVariables;
	}
	public Collection<DataElement> getWrittenVariables() {
		return writeVariables;
	}
	public String getGuard() {
		return guard;
	}
}
