package org.processmining.plugins.petrinetwithdata.decisionminer;

import org.deckfour.xes.model.XLog;
import org.processmining.framework.connections.impl.AbstractStrongReferencingConnection;
import org.processmining.models.graphbased.directed.petrinet.PetrinetGraph;
import org.processmining.plugins.petrinet.replayresult.PNMatchInstancesRepResult;

public class WeightedControlFlowAlignmentConnection extends AbstractStrongReferencingConnection {
	public final static String PETRINETGRAPH = "PetrinetGraph";
	public final static String LOG = "Log";
	public final static String PNREPRESULT = "PetriNetResult";
	
	public WeightedControlFlowAlignmentConnection(String label, PetrinetGraph net, XLog log, PNMatchInstancesRepResult input) {		
		super(label);
		put(PETRINETGRAPH, net);
		put(LOG, log);
		put(PNREPRESULT, input);
	}
}
