package org.processmining.models.FunctionEstimator;

import java.io.File;
import java.io.IOException;
import java.util.Map;

import org.processmining.framework.util.Pair;
import org.processmining.models.guards.Expression;

/**
 * Use the type org.processmining.datadiscovery.estimators.FunctionEstimator of DataDiscovery package instead!
 */
@Deprecated
public interface FunctionEstimator {

	public void addInstance(Map<String, Object> variableAssignment, Object outputValue, float weight) throws Exception;
	
	public void saveInstances(File file) throws IOException;

	/**
	 * Use {@link #getFunctionEstimation(Object[])()} instead!
	 */
	@Deprecated
	public Map<Object, Pair<Expression, Double>> getEstimation(Object[] option) throws Exception;
	
	public Map<Object, FunctionEstimation> getFunctionEstimation(Object[] option) throws Exception;

	/**
	 * Use {@link #computeQualityMeasure()} instead!
	 */
	@Deprecated
	public double computeFMeasure();

	public double computeQualityMeasure();

	public String getQualityMeasureName();

}
